Subject: Re: 26.0.90; SVG file can cause emacs to crash (imagemagick)

From: Paul Eggert <[email-masked]>
Date: Thu, 7 Dec 2017 20:48:35 -0800

For what it's worth I cannot reproduce the problem on my platform, which should 
be nearly identical to yours. I am running Ubuntu 16.04.3 patched as of today, 
on an x86-64 CPU (Intel Xeon E3-1225 V2). I don't observe the problem when 
running "convert test.svg test.png" either. With the -verbose flag I get this:

$ convert -verbose test.svg test.png
"inkscape" "test.svg" --export-eps="/tmp/magick-2930_tpO0u1d3XJD" 
--export-dpi="90,90" --export-background="rgb(100%,100%,100%)" 
--export-background-opacity="1" > "/tmp/magick-2930yrS5cAdhqGGS" 2>&1
convert: no images defined `test.png' @ error/convert.c/ConvertImageCommand/3210.

You might try "strace convert test.svg test.png" to see what went wrong. Anyway, 
as you say, this doesn't appear to be an Emacs bug, and it's not clear what 
Emacs could do to prevent the library from going haywire.